CREATE TABLE `xplugin_km_artikelpreise_basics` (
  `kArtikel` int(11) NOT NULL,
  `berechnungsBasis` tinyint(1) NOT NULL
);


--CREATE TABLE `xplugin_km_artikelpreise_bedingung` (
--  `kBedingung` int(11) NOT NULL,
--  `kArtikel` int(11) NOT NULL,
--  `kManipulation` int(11) NOT NULL,
--  `kEigenschaftWert` double NOT NULL,
--  `kEigenschaftWertOperator` int(11) NOT NULL,
--  `kEigenschaftWert2` double NOT NULL,
--  `kEigenschaftWertOperator2` int(11) NOT NULL,
--  `aufpreis` double NOT NULL,
--  `aufpreisProzent` tinyint(1) NOT NULL
--);

CREATE TABLE `xplugin_km_artikelpreise_manipulation` (
  `kManipulation` int(11) NOT NULL,
  `kArtikel` int(11) NOT NULL,
  --`kEigenschaften` varchar(250) NOT NULL,
  -- alles in Formel als JSON Array packen mit WENN DANN und Formeln usw... dabei auch auf Hiddenfields setzen in der DANN Formel (=Ergebnis ins Feld schreiben, mit Prae und Suffix
  `formel` TEXT,
  `sort` int(11) NOT NULL
);


CREATE TABLE `xplugin_km_artikelpreise_variationen` (
  `kArtikel` int(11) NOT NULL,
  `kEigenschaft` int(11) NOT NULL,
  `min` double NULL,
  `max` double NULL,
  `step` double NULL,
  `einheit` varchar(25) NULL,
  `showMinMax` tinyint(1) NOT NULL,
  `hide` tinyint(1) NOT NULL,
  `readonly` tinyint(1) NOT NULL
);

ALTER TABLE `xplugin_km_artikelpreise_basics`
  ADD PRIMARY KEY (`kArtikel`);

--ALTER TABLE `xplugin_km_artikelpreise_bedingung`
--  ADD PRIMARY KEY (`kBedingung`);

ALTER TABLE `xplugin_km_artikelpreise_manipulation`
  ADD PRIMARY KEY (`kManipulation`);

ALTER TABLE `xplugin_km_artikelpreise_variationen`
  ADD PRIMARY KEY (`kArtikel`,`kEigenschaft`);

--ALTER TABLE `xplugin_km_artikelpreise_bedingung`
--  MODIFY `kBedingung` int(11) NOT NULL AUTO_INCREMENT;
  
ALTER TABLE `xplugin_km_artikelpreise_manipulation`
  MODIFY `kManipulation` int(11) NOT NULL AUTO_INCREMENT;