	/* Plugin Beschreibung */
	.content-header.well{
		margin-bottom: 4rem;
		border-radius: 1rem;
	}

	/* Content Container */
	#content > .container2{
		display: flex;
	}

	/* Nav-Tabs */
	#content .nav-tabs{
		min-width: 250px;
		border-radius: 1rem;
		border: 0;
		padding: 2rem;
		background: #eee;
	}
	#content .nav-tabs li{
		float: none;
		margin-bottom: 2px;
	}
	#content .nav-tabs a{
		border: 0;
		margin: 0;
		display: flex;
		align-items: center;
		border: 0;
		background: none;
		border-radius: .5rem;
		padding: 6px 14px;
		transition: background .2s ease;
	}
	#content .nav-tabs a:before{
		content: '';
		display: block;
		width: 16px;
		height: 16px;
		margin-right: 15px;
		opacity: .75;
	}
	#content .nav-tabs li:nth-child(1) a:before{
		background: url('/includes/plugins/km_clp_plugin/version/100/adminmenu/templates/img/icon-table.svg') no-repeat center center/contain;
	}
	#content .nav-tabs li:nth-child(2) a:before{
		background: url('/includes/plugins/km_clp_plugin/version/100/adminmenu/templates/img/icon-img.svg') no-repeat center center/contain;
	}
	#content .nav-tabs li:nth-child(3) a:before{
		background: url('/includes/plugins/km_clp_plugin/version/100/adminmenu/templates/img/icon-signal.svg') no-repeat center center/contain;
	}
	#content .nav-tabs li:nth-child(4) a:before{
		background: url('/includes/plugins/km_clp_plugin/version/100/adminmenu/templates/img/icon-h.svg') no-repeat center center/contain;
	}
	#content .nav-tabs li:nth-child(5) a:before{
		background: url('/includes/plugins/km_clp_plugin/version/100/adminmenu/templates/img/icon-p.svg') no-repeat center center/contain;
	}
	#content .nav-tabs li:nth-child(6) a:before{
		background: url('/includes/plugins/km_clp_plugin/version/100/adminmenu/templates/img/icon-euh.svg') no-repeat center center/contain;
	}
	#content .nav-tabs a:hover,
	#content .nav-tabs .active > a{
		background: #fff;
	}

	/* Tab Content */
	#content .tab-content{
		flex-grow: 1;
		padding-left: 50px;
	}
	div[id$="-overview"]{
		display: block !important;
	}

	/* Headline */
	.km-flex{
		display: flex;
		align-items: center;
		justify-content: space-between;
		margin-bottom: 2rem;
	}
	.km-flex.popup{
		margin-bottom: 3.5rem;
	}
	.km-flex h2,
	.km-flex h3{
		margin: 0;
	}

	/* Create-Popup */
	div[id$="-create"]{
		position: fixed;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background: rgba(0,0,0,.8);
		display: flex;
		align-items: center;
		justify-content: center;
		z-index: 1;
	}
	div[id$="-create"] > form{
		background: white;
		max-width: 700px;
		padding: 3.5rem 3rem;
		border-radius: 2rem;
		width: 100%;
	}

	/* Tables */
	.table-responsive table{
		margin: 0;
		table-layout: fixed;
		font-size: 15px;
	}
	.table-responsive .w20{
		width: 20px;
	}
	#content .table-responsive th,
	#content .table-responsive td{
		vertical-align: middle;
		border-bottom: 1px solid #e8e8e8;
		border-top: 0;
		padding: 6px 8px;
	}
	#content .table-responsive tr:hover td{
		background: #f6f6f6;
	}
	.table-responsive td:last-child{
		white-space: nowrap;
		text-align: right;
	}
	.table-responsive img{
		width: 30px;
		height: auto;
		display: block;
	}
	.table-responsive .img{
		width: 40px;
	}
	#content .table-responsive .btn{
		height: auto;
		font-size: 18px;
		margin-left: 2px;
		padding: 2px 3px;
		border: 0;
		color: #444;
	}
	#content .table-responsive .nowrap{
		white-space: nowrap;
		display: block;
		overflow: hidden;
		text-overflow: ellipsis;
	}

	/* Form Inputs */
	#content .form-control{
		border-radius: .5rem;
		height: 38px;
		box-shadow: none;
	}
	#content select.form-control {
		font-size: 14px;
	}
	#content .settings .input-group-addon:first-child{
		border-radius: .5rem 0 0 .5rem;
		width: 20%;
		font-size: 14px;
		margin: 0;
		border-color: #ddd;
	}
	#content .settings .input-group-addon:first-child label{
		margin: 0;
	}
	#content .input-group-wrap{
		border-radius: 0 .5rem .5rem 0;
		border-color: #ddd;
		border-left: 0;
	}

	/* Alerts */
	#content .alert{
		border-radius: 0.5rem;
		padding: 10px 15px;
		line-height: 1.4;
	}

	/* Buttons */
	#content  .btn{
		border-radius: .5rem;
		border: 0;
	}
	
	
	
	/* Old things */
	
#weitereKonfigs div.panel-body {
	padding-top: 0;
}
#weitereKonfigs div.input-group {
	margin: 0;
}

#weitereKonfigs > div > div.panel-body > div{ 
	border-bottom: 1px solid rgba(120,130,140,.23);
	padding: 25px 0;
}
#weitereKonfigs > div > div.panel-body > div:last-child{
	border-bottom: none;
}

#weitereKonfigs *[class*=col], #weitereKonfigs .panel-heading {
	padding: 0;
}

#weitereKonfigs > div > div.panel-heading {
    padding: 10px 15px;
}
#weitereKonfigs > div > div.panel-heading h3 {
	padding-top: 10px;
}

.selectableFields {
	margin-top: 5px;
}

.bedingungen > div.row, 
.aktionen > div.row {
	margin: 0;
}
.bedingung, .aktion {
    background: #fff;
    padding: 15px 20px;
    margin-top: 10px;
}

#weitereKonfigs select, #weitereKonfigs input {
	margin-bottom: 5px;
}
#weitereKonfigs .input-group-wrap select, #weitereKonfigs .input-group-wrap input {
	margin-bottom: 0;
}

.bedingung .row, .aktion .row {
	margin: 0;
}

.bedingung .row .left, .aktion .row .left {
	width: 40%;
}
.bedingung .row .right, .aktion .row .right {
	width: 60%;
}

.aktion .full {
	width: 100%;
}

.aktion .w50 {
	width: 50%;
	float:left;
}

span.eigenschaft {
	background: #5cbcf6;
	color: #fff;
	display: inline-block;
	padding-left: 5px;
	padding-right: 5px;
	border: 1px solid #44b2f5;
}


span.eigenschaft.price {
	background: #d9534f;
	border-color: #d43f3a;
}
span.eigenschaft.quantity {
	background: #fff;
	color: #333;
	border-color: #adadad;
}

span.formel {
	display: inline-block;
	padding-left: 5px;
	padding-right: 5px;
}

div.form-control.formel {
	height: auto !important;
}