<?php
require_once($oPlugin->cFrontendPfad.'functionpreise.php');

if(isset($_SESSION['Warenkorb']) && isset($_SESSION['Warenkorb']->PositionenArr) && count($_SESSION['Warenkorb']->PositionenArr)>0)
{
	$artikel_arr = getArtikel();
	foreach($_SESSION['Warenkorb']->PositionenArr as $i => $Position) {
		if(isset($artikel_arr[$Position->kArtikel]) || isset($artikel_arr[$Position->Artikel->kVaterArtikel]))
		{
			$_SESSION['Warenkorb']->PositionenArr[$i]->km_preise = $Position->fPreis + $Position->fPreisEinzelNetto;
			$data = isset($artikel_arr[$Position->kArtikel]) ? $artikel_arr[$Position->kArtikel] : $artikel_arr[$Position->Artikel->kVaterArtikel];
			
			//First reset to Basic Prices for not making a misstake!
			$Position->fPreisEinzelNetto = $Position->Artikel->gibPreis($anz, []);
			$Position->fPreis            = $Position->Artikel->gibPreis($anz, $Position->WarenkorbPosEigenschaftArr);
			$Position->setzeGesamtpreisLocalized();
			
			$anz = $Position->nAnzahl;
			foreach($data['manipulations'] as $manipulation)
			{
				$json = json_decode($manipulation->formel);
				$doIt = ($json->type==1) ? true : false;
				if(!is_object($json->if))
				{
					$doIt = true;
				} else {
					foreach($json->if as $if)
					{
						$wert = 0;
						if($if->eigenschaft > 0)
						{
							//Feldbedingung
							foreach($Position->WarenkorbPosEigenschaftArr as $eigenschaft)
							{
								if($eigenschaft->kEigenschaft == $if->eigenschaft)
								{
									$wert = ($eigenschaft->cTyp == 'PFLICHT-FREIFELD' || $eigenschaft->cTyp == 'FREIFELD') ? array_values($eigenschaft->cEigenschaftWertName)[0] : $eigenschaft->kEigenschaftWert;
								}
							}
						} elseif($if->eigenschaft == -1)
						{
							//Formelbedingung
							$wert = calculateFormel($if->eigenschaft_formel,$Position->WarenkorbPosEigenschaftArr,$Position->fPreis,$anz);
						} else
						{
							continue;
						}
						if(!$wert) $wert = 0;
						$value = isset($if->eigenschaft_wert) ? $if->eigenschaft_wert : $if->eigenschaft_value;
						
						//Jetzt Bedingung prüfen
						if($if->eigenschaft_if == '=')
						{
							if($wert == $value)
							{
								if($json->type==0)
									$doIt = true;
							} else {
								if($json->type==1)
									$doIt = false;
							}
						}
						if($if->eigenschaft_if == '<')
						{
							if($wert < $value)
							{
								if($json->type==0)
									$doIt = true;
							} else {
								if($json->type==1)
									$doIt = false;
							}
						}
						if($if->eigenschaft_if == '>')
						{
							if($wert > $value)
							{
								if($json->type==0)
									$doIt = true;
							} else {
								if($json->type==1)
									$doIt = false;
							}
						}
					}
				}
				
				if($doIt && is_object($json->aktion))
				{
					//Jetzt die Manipulationen anwenden!
					foreach($json->aktion as $aktion)
					{
						//Feldbefüllungen passieren nur live, daher nur auf Preisanpassungen reagieren
						if($aktion->type == 1)
						{
							$newPrice = 0;
							switch($aktion->preis_type)
							{
								case 0:
									//Fester Aufpreis
									$newPrice = $Position->fPreis + $aktion->preis_wert;
									break;
								case 1:
									//Prozentualer Aufpreis
									$newPrice = $Position->fPreis + ($Position->fPreis / 100 * $aktion->preis_wert);
									break;
								case 2:
									//Formelberechnung
									$newPrice = calculateFormel($aktion->preis_formel,$Position->WarenkorbPosEigenschaftArr,$Position->fPreis,$anz);
									break;
								default:
									//Unbekannte Berechnung
									$newPrice = $Position->fPreis;
							}
							//$_SESSION['Warenkorb']->PositionenArr[$i]->fPreisEinzelNetto = $newPrice;
							$_SESSION['Warenkorb']->PositionenArr[$i]->fPreisEinzelNetto = $newPrice;
							$_SESSION['Warenkorb']->PositionenArr[$i]->fPreis = $newPrice;
							$_SESSION['Warenkorb']->PositionenArr[$i]->setzeGesamtpreisLocalized();
							$_SESSION['Warenkorb']->PositionenArr[$i]->cUnique = 1;
						}
					}
					
				}
			}
			
			//Jetzt Warenkorb aktualisieren, damit die Checksumme, Preise mit Steuern usw. stimmen
			refreshWK();
		}
	}
}
?>